> ## Documentation Index
> Fetch the complete documentation index at: https://docs.vellaro.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Public List Information

> Public: active information pages, ordered by sort_order.

Pass ?footer=true to get only the pages meant for the footer.



## OpenAPI

````yaml https://api.vellaro.io/openapi.json get /api/v1/information
openapi: 3.1.0
info:
  title: Vellaro API
  description: Vellaro 2026 — E-commerce API
  version: 0.1.0
servers:
  - url: https://api.vellaro.io
    description: Produzione
security: []
tags: []
paths:
  /api/v1/information:
    get:
      tags:
        - information
      summary: Public List Information
      description: |-
        Public: active information pages, ordered by sort_order.

        Pass ?footer=true to get only the pages meant for the footer.
      operationId: public_list_information_api_v1_information_get
      parameters:
        - name: footer
          in: query
          required: false
          schema:
            anyOf:
              - type: boolean
              - type: 'null'
            description: Only pages flagged show_in_footer
            title: Footer
          description: Only pages flagged show_in_footer
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ApiResponse_list_InformationOut__'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    ApiResponse_list_InformationOut__:
      properties:
        data:
          anyOf:
            - items:
                $ref: '#/components/schemas/InformationOut'
              type: array
            - type: 'null'
          title: Data
        meta:
          anyOf:
            - $ref: '#/components/schemas/PaginationMeta'
            - type: 'null'
        error:
          anyOf:
            - type: string
            - type: 'null'
          title: Error
        error_code:
          anyOf:
            - type: string
            - type: 'null'
          title: Error Code
      type: object
      title: ApiResponse[list[InformationOut]]
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    InformationOut:
      properties:
        id:
          type: string
          format: uuid
          title: Id
        slug:
          anyOf:
            - type: string
            - type: 'null'
          title: Slug
        title_i18n:
          anyOf:
            - additionalProperties: true
              type: object
            - type: 'null'
          title: Title I18N
        description_i18n:
          anyOf:
            - additionalProperties: true
              type: object
            - type: 'null'
          title: Description I18N
        meta_title_i18n:
          anyOf:
            - additionalProperties: true
              type: object
            - type: 'null'
          title: Meta Title I18N
        meta_description_i18n:
          anyOf:
            - additionalProperties: true
              type: object
            - type: 'null'
          title: Meta Description I18N
        show_in_footer:
          type: boolean
          title: Show In Footer
        sort_order:
          type: integer
          title: Sort Order
        is_active:
          type: boolean
          title: Is Active
        created_at:
          type: string
          format: date-time
          title: Created At
        updated_at:
          type: string
          format: date-time
          title: Updated At
      type: object
      required:
        - id
        - slug
        - title_i18n
        - description_i18n
        - meta_title_i18n
        - meta_description_i18n
        - show_in_footer
        - sort_order
        - is_active
        - created_at
        - updated_at
      title: InformationOut
    PaginationMeta:
      properties:
        page:
          type: integer
          title: Page
        page_size:
          type: integer
          title: Page Size
        total:
          type: integer
          title: Total
        total_pages:
          type: integer
          title: Total Pages
      type: object
      required:
        - page
        - page_size
        - total
        - total_pages
      title: PaginationMeta
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError

````